apiVersion: apps/v1
kind: Deployment
metadata:
  name: ui
  namespace: reactbin
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ui
  template:
    metadata:
      labels:
        app: ui
    spec:
      containers:
        - name: ui
          image: git.juggalol.com/juggalol/reactbin-ui:v1.2.0
          ports:
            - containerPort: 8080
          livenessProbe:
            httpGet:
              path: /
              port: 8080
            initialDelaySeconds: 10
            periodSeconds: 30
          securityContext:
            runAsNonRoot: true
            runAsUser: 101  # nginxinc/nginx-unprivileged default UID
